=== debian/control ===
Source: helium
Section: haskell
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: autotools-dev, debhelper (>= 7),
 ghc6 (>= 6.8.2), haddock, libghc6-mtl-dev, libghc6-parsec-dev, uuagc, libghc6-editline-dev
Standards-Version: 3.8.4
Homepage: http://www.cs.uu.nl/helium/index.html
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/helium
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/helium

Package: helium
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: compiler used for learning the programming language Haskell
 Helium is a functional programming language and a compiler designed
 especially for learning Haskell. Quality of the error messages has
 been the main concern both in the choice of the language features and
 in the implementation of the compiler. The goal of the language and
 the compiler is to let students (or anyone) learn functional
 programming more quickly and with more fun. 
 .
 Note: Helium does not support type classes yet. For that reason it is
 incompatible with Haskell text books.
