=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://www.cs.uu.nl/helium/download.html distr/helium-(.*)-src\.tar\.gz
