## helium 1.7~pre20090428

=== debian/changelog ===
helium (1.7~pre20090428-2ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - Fix linking with --as-needed.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Aug 2011 13:05:57 +0200

helium (1.7~pre20090428-2) unstable; urgency=low

  * Depend on network 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 04 Jun 2011 00:25:16 +0200

helium (1.7~pre20090428-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release 
  * Update upstream homepage URL 
  * This builds (Closes: #598174)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 02 Jun 2011 19:20:46 +0200

helium (1.6-6ubuntu1) natty; urgency=low

  * debian/patches/20_fix-as-needed-linking:
    A quick work-around to fix linking with --as-needed.

 -- Michael Bienia <geser@ubuntu.com>  Fri, 03 Dec 2010 17:52:30 +0100
