=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: helium
 Section: haskell
 Priority: optional
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
 Build-Depends: autotools-dev, debhelper (>= 7),
- ghc6 (>= 6.8.2), haddock, libghc6-mtl-dev, libghc6-parsec-dev, uuagc, libghc6-editline-dev
+ ghc (>= 6.8.2), haddock, libghc-mtl-dev, libghc-parsec3-dev, uuagc, libghc-editline-dev, libghc-network-dev
+Build-Conflicts: libghc-parsec2-dev
 Standards-Version: 3.8.4
-Homepage: http://www.cs.uu.nl/helium/index.html
+Homepage: http://www.cs.uu.nl/wiki/bin/view/Helium/WebHome
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/helium
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/helium
